#include <bits/stdc++.h>
using namespace std;
int find_number(int MAX){
    int l = 0, r = MAX+1;
    while(r-l>1){
        int mid = (r+l)/2;
        if(smaller(mid)){
            l = mid;
        }
        else r = mid;
    }
    return r;
}
